# RoadVehicleCache Struct Reference

Cached oftenly queried (NewGRF) values. More...

`#include <roadveh.h>`

## Data Fields
uint16 | cached_total_length
| Length of the whole train, valid only for first engine.
byte | cached_veh_length
| length of this vehicle in units of 1/8 of normal length, cached because this can be set by a callback
EngineID | first_engine
| Cached EngineID of the front vehicle. INVALID_ENGINE for the front vehicle itself.

## Detailed Description

Cached oftenly queried (NewGRF) values.

Definition at line 83 of file roadveh.h.

The documentation for this struct was generated from the following file:

- src/roadveh.h